$('input[type="checkbox"]').on('change', function(e){
        if($(this).prop('checked'))
        {
            $(this).next().val(true);
        } else {
            $(this).next().val(false);
        }
});